@use "mixins";

body {
  padding: 4vh 8vw 4vh 5vw;

  @include mixins.respond(small) {
    padding: 0;
    padding-top: 2vh;
    padding-bottom: 8vh;
  }
}

.page-title {
  font-family: var(--font-display);
  font-weight: 400;
  font-size: 2.4rem;
  line-height: calc(25 / 24);
  letter-spacing: -0.08em;
  text-transform: uppercase;
  color: var(--color-gray-dark);
  margin-bottom: 18.5vh;

  @include mixins.respond(small) {
    font-size: 3.2rem;
    margin-left: 6.4vw;
    margin-bottom: 7vh;
  }
}

main {
  display: flex;
  gap: 8vw;

  @include mixins.respond(small) {
    flex-direction: column;
    gap: 0;
  }
}

.feature-image {
  max-width: 37.5vw;
  max-height: 31.1vw;
  object-fit: contain;
  @include mixins.respond(small) {
    align-self: center;
    max-width: 76.5vw;
    max-height: 63.5vw;
    margin-bottom: 6.5vh;
  }
}

.page-info {
  @include mixins.respond(small) {
    margin-left: 9.6vw;
  }

  @include mixins.respond(tiny) {
    margin-left: 6.4vw;
  }

  &__title {
    font-family: var(--font-body);
    font-weight: 700;
    font-size: 6.4rem;
    line-height: calc(95 / 64);
    letter-spacing: -0.035em;
    color: var(--color-gray-dark);
    width: 15ch;
    margin-bottom: 3vh;

    @include mixins.respond(large) {
      font-size: 6.2rem;
    }
    @include mixins.respond(small) {
      font-size: 6.4rem;
      width: 12ch;
    }
  }

  &__description {
    font-family: var(--font-body);
    font-size: 2.4rem;
    line-height: 1.5;
    letter-spacing: -0.035em;
    color: var(--color-gray-light);
    width: 25ch;
    margin-bottom: 6vh;

    @include mixins.respond(small) {
      width: 27ch;
      margin-bottom: 7vh;
    }
  }

  &__link {
    & button {
      cursor: pointer;
      font-family: var(--font-body);
      font-weight: 700;
      font-size: 14px;
      line-height: 0;
      letter-spacing: -0.035em;
      text-transform: uppercase;
      background-color: var(--color-gray-dark);
      color: var(--color-white);
      width: 216px;
      height: 68px;
      display: flex;
      justify-content: center;
      align-items: center;
      transition: transform 0.1s ease, box-shadow 0.15s ease;

      &:hover,
      &:focus,
      &:active {
        transform: translateY(-0.2rem);
        box-shadow: -0.25rem 0.75rem 1.25rem rgba(black, 0.2);
      }
    }
  }
}
